Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Interface ARPErrorNumbers

All Known Implementing Classes:
  ARPOptions, DOM2Model, JenaReader, NTriple, ParseException, SAX2Model, SAX2RDF, com.hp.hpl.jena.rdf.arp.impl.SAX2RDFImpl, com.hp.hpl.jena.rdf.arp.impl.XMLHandler

    public interface ARPErrorNumbers

Error numbers used by ARP.

Author:
  jjc

Field Summary
`static int` | `EM_ERROR` Used as ErrorMode to report error, and not generate associated triples.
`static int` | `EM_FATAL` Used as ErrorMode to stop processing after reporting error.
`static int` | `EM_IGNORE` Used as ErrorMode to not report an error.
`static int` | `EM_WARNING` Used as ErrorMode to report warning and continue processing.
`static int` | `ERR_ABOUTEACH_NOT_TOPLEVEL` Deprecated. No longer occurs. Any use of rdf:aboutEach is a syntax error.
`static int` | `ERR_BAD_RDF_ATTRIBUTE` An attribute name in the RDF namespace has been used that is reserved as an RDF name, but not as an attribute.
`static int` | `ERR_BAD_RDF_ELEMENT` An element is tagged rdf:XXX where XXX is an RDF attribute name.
`static int` | `ERR_ENCODING_MISMATCH` ARP was called with an InputSteamReader or a FileReader which used an encoding differnt from that in the XML declaration.
`static int` | `ERR_GENERIC_IO` An IOException occurred.
`static int` | `ERR_INTERNAL_ERROR` Deprecated. No longer used.
`static int` | `ERR_INTERRUPTED` The Thread was interrupted.
`static int` | `ERR_LI_AS_TYPE` rdf:li is being used in the typed node construction.
`static int` | `ERR_NOT_WHITESPACE` Non-white character data has occurred where the RDF grammar does not permit it.
`static int` | `ERR_RESOLVING_AGAINST_MALFORMED_BASE` Cannot resolve a relative URI, because base URI is malformed.
`static int` | `ERR_RESOLVING_AGAINST_RELATIVE_BASE` Cannot resolve a relative URI, because base URI is relative.
`static int` | `ERR_RESOLVING_URI_AGAINST_NULL_BASE` A base URI was required but not given.
`static int` | `ERR_SAX_ERROR` The SAX Parser generated an error.
`static int` | `ERR_SAX_FATAL_ERROR` The SAX Parser generated a fatal error.
`static int` | `ERR_STRING_NOT_NORMAL_FORM_C` Deprecated. See 2nd Last Call docs * (E207).
`static int` | `ERR_SYNTAX_ERROR` The attributes or element tags contravene the RDF grammar.
`static int` | `ERR_UNABLE_TO_RECOVER` Deprecated. Not used.
`static int` | `ERR_URI_NOT_NORMAL_FORM_C` Deprecated. WG decision on williams-01.
`static int` | `ERR_UTF_ENCODING` The document claimed to be UTF-8 but was not.
`static int` | `IGN_DAML_COLLECTION` The use of rdf:parseType="daml:collection" does not conform with RDF2004.
`static int` | `IGN_NO_BASE_URI_SPECIFIED` Indicates that no name is known for the current file being parsed.
`static int` | `IGN_PRIVATE_XMLLANG` An xml:lang attribute uses one or more of the extension facilities in RFC3066 or ISO639.
`static int` | `IGN_XMLBASE_SIGNIFICANT` Indicates that somewhere, an xml:base attribute has been used and changes the interpretation of some URI (either through a relative URI-reference or rdf:ID).
`static int` | `IGN_XMLBASE_USED` Indicates that somewhere, other than in an XML Literal an xml:base attribute has been used.
`static int` | `WARN_BAD_NAME` An ID symbol or other grammar production that should be an XML name is malformed.
`static int` | `WARN_BAD_NAMESPACE_URI` Some xmlns declaration has a non-URI as its right hand side.
`static int` | `WARN_BAD_RDF_NAMESPACE_URI` Within RDF, it is not permitted to define an XML namespace that has a namespace URI with the RDF namespace URI as a proper prefix.
`static int` | `WARN_BAD_XML` Deprecated.
`static int` | `WARN_BAD_XML_NAMESPACE_URI` Within RDF, it is not permitted to define an XML namespace that has a namespace URI with the XML namespace URI as a proper prefix.
`static int` | `WARN_BAD_XMLLANG` The value of an xml:lang attribute while syntactically conforming to RFC3066 does not conform with other rules, possibly through not being listed in ISO639 or ISO3166 or the IANA language tag registry.
`static int` | `WARN_BIG_FILE` After 10000 rdf:ID attributes have been read, ARP no longer checks for `WARN_REDEFINITION_OF_ID`.
`static int` | `WARN_DEPRECATED_XMLLANG` The value of an xml:lang attribute has been deprecated by IANA (W117).
`static int` | `WARN_ENCODING_MISMATCH` ARP was called with an InputSteamReader or a FileReader which used an encoding differnt from that in the XML declaration.
`static int` | `WARN_IN_STRICT_MODE` This is an internal only field, not intended for public use.
`static int` | `WARN_LEGAL_REUSE_OF_ID` Deprecated. Last supported in Jena 2.1 - too expensive.
`static int` | `WARN_MALFORMED_URI` A URI reference does not conform to the definition of RDF URI Reference.
`static int` | `WARN_MALFORMED_XMLLANG` The value of an xml:lang attribute does not conform to the syntactic rules of RFC3066.
`static int` | `WARN_MINOR_INTERNAL_ERROR` Deprecated. No longer used.
`static int` | `WARN_NON_IANA_ENCODING` The character encoding in the XML declaration is not registered with IANA.
`static int` | `WARN_NONCANONICAL_IANA_NAME` The encoding in the XML declaration is an alias registered with IANA.
`static int` | `WARN_NOT_RDF_NAMESPACE` It seems likely that the namespace for rdf: has a typo in it.
`static int` | `WARN_PROCESSING_INSTRUCTION_IN_RDF` An XML processing instruction occurred in RDF content.
`static int` | `WARN_QNAME_AS_ID` Deprecated. Superceded by the more general `WARN_BAD_NAME`
`static int` | `WARN_RDF_NN_AS_TYPE` rdf:_NNN is being used in the typed node construction.
`static int` | `WARN_REDEFINITION_OF_ID` The same name has been used for more than one rdf:ID or rdf:bagID, in the context of the same xml:base (if any).
`static int` | `WARN_RELATIVE_NAMESPACE_URI_DEPRECATED` A namespace has been declared with a relative URI.
`static int` | `WARN_RELATIVE_URI` A URI reference which is a relative reference has been used either as the starting base URI or as the outcome of a URI resolution somehow.
`static int` | `WARN_RESOLVING_URI_AGAINST_EMPTY_BASE` A base URI was required but "" was given.
`static int` | `WARN_SAX_WARNING` The SAX Parser generated a warning.
`static int` | `WARN_STRING_COMPOSING_CHAR` String Literals in RDF should not start with a composing char, as defined by the CharacterModel working draft.
`static int` | `WARN_STRING_NOT_NORMAL_FORM_C` String Literals in RDF should be in Unicode Normal Form C * (W131).
`static int` | `WARN_UNKNOWN_PARSETYPE` An unrecognised value for rdf:parseType has been found.
`static int` | `WARN_UNKNOWN_RDF_ATTRIBUTE` An attribute name in the RDF namespace has been used that is not a reserved RDF attribute name.
`static int` | `WARN_UNKNOWN_RDF_ELEMENT` An element is tagged rdf:XXX where XXX is not a recognised RDF element name.
`static int` | `WARN_UNKNOWN_XML_ATTRIBUTE` An attribute from the xml namespace has been used that is not recognised.
`static int` | `WARN_UNQUALIFIED_ATTRIBUTE` Some attribute that is not an RDF keyword is used in an unqualified fashion.
`static int` | `WARN_UNQUALIFIED_ELEMENT` An element tag is not a qualified name.
`static int` | `WARN_UNQUALIFIED_RDF_ATTRIBUTE` A standard rdf attribute like type or about is used without a namespace qualifier.
`static int` | `WARN_UNSUPPORTED_ENCODING` The character encoding in the XML declaration is not fully supported.
`static int` | `WARN_URI_COMPOSING_CHAR` Deprecated. WG decision on williams-01.
`static int` | `WARN_XMLBASE_MISSING` Deprecated. `IGN_NO_BASE_URI_SPECIFIED`

Field Detail

### EM_IGNORE

    static final int EM_IGNORE

  Used as ErrorMode to not report an error.

  See Also:
    `ARPOptions.setErrorMode(int, int)`, Constant Field Values

### EM_WARNING

    static final int EM_WARNING

  Used as ErrorMode to report warning and continue processing.

  See Also:
    `ARPOptions.setErrorMode(int, int)`, Constant Field Values

### EM_ERROR

    static final int EM_ERROR

  Used as ErrorMode to report error, and not generate associated triples. In the event of an error (i.e. a condition with this error mode), no further triples involving the resources and literals associated with the error are created. The precise definition of 'associated with' is deliberately undefined, and may change in future releases. When the file includes fatal error conditions the parsing is aborted immediately after such an error. Otherwise, it is possible to see all the triples, including those involving resources and literals associated with any condition, by ensuring that the error mode of every error code is WARNING or IGNORE. (i.e. ARP optionally permits all errors to be downgraded to warnings, or to be ignored). In this case, the precise rules which ARP uses to generate triples for ill-formed input are not defined by any standard and are subject to change with future releases. For input involving no errors, ARP creates triples in accordance with the RDF/XML Syntax Revised Recommendation.

  See Also:
    `ARPOptions.setErrorMode(int, int)`, Constant Field Values

### EM_FATAL

    static final int EM_FATAL

  Used as ErrorMode to stop processing after reporting error.

  See Also:
    `ARPOptions.setErrorMode(int, int)`, Constant Field Values

### IGN_PRIVATE_XMLLANG

    static final int IGN_PRIVATE_XMLLANG

  An xml:lang attribute uses one or more of the extension facilities in RFC3066 or ISO639. In some way, the langauge specified is non-standard. In both default and strict modes this is ignored; a conservative application in verbose mode may wish to raise a warning. (W001)

  See Also:
    `LanguageTagCodes.LT_PRIVATE_USE`, `LanguageTagCodes.LT_LOCAL_USE`, `LanguageTagCodes.LT_EXTRA`, Constant Field Values

### IGN_XMLBASE_USED

    static final int IGN_XMLBASE_USED

  Indicates that somewhere, other than in an XML Literal an xml:base attribute has been used. This is ignored in default and strict mode. (W002)

  See Also:
    `IGN_XMLBASE_SIGNIFICANT`, Constant Field Values

### IGN_XMLBASE_SIGNIFICANT

    static final int IGN_XMLBASE_SIGNIFICANT

  Indicates that somewhere, an xml:base attribute has been used and changes the interpretation of some URI (either through a relative URI-reference or rdf:ID). (W003) This is ignored in default and strict mode.

  See Also:
    `IGN_XMLBASE_USED`, Constant Field Values

### IGN_DAML_COLLECTION

    static final int IGN_DAML_COLLECTION

  The use of rdf:parseType="daml:collection" does not conform with RDF2004. This is ignored in default mode. In strict mode the parser follows the conformant behaviour which is to silently treat this as rdf:parseType="Literal" (W004).

  See Also:
    Constant Field Values

### IGN_NO_BASE_URI_SPECIFIED

    static final int IGN_NO_BASE_URI_SPECIFIED

  Indicates that no name is known for the current file being parsed. (W005)

  See Also:
    Constant Field Values

### WARN_XMLBASE_MISSING

    static final int WARN_XMLBASE_MISSING

  Deprecated. `IGN_NO_BASE_URI_SPECIFIED`
  (W100)

  See Also:
    Constant Field Values

### WARN_UNQUALIFIED_RDF_ATTRIBUTE

    static final int WARN_UNQUALIFIED_RDF_ATTRIBUTE

  A standard rdf attribute like type or about is used without a namespace qualifier. In default and strict mode ARP adds the rdf: qualifier and reports a warning. (W101).

  See Also:
    Constant Field Values

### WARN_UNQUALIFIED_ATTRIBUTE

    static final int WARN_UNQUALIFIED_ATTRIBUTE

  Some attribute that is not an RDF keyword is used in an unqualified fashion. In default mode, then the namespace of the enclosing element is used. In strict mode this is an error. (W102).

  See Also:
    Constant Field Values

### WARN_UNKNOWN_RDF_ATTRIBUTE

    static final int WARN_UNKNOWN_RDF_ATTRIBUTE

  An attribute name in the RDF namespace has been used that is not a reserved RDF attribute name. In default and strict modes, a statement is generated with the given name as property. In default and strict modes this is a warning. (W103).

  See Also:
    Constant Field Values

### WARN_UNQUALIFIED_ELEMENT

    static final int WARN_UNQUALIFIED_ELEMENT

  An element tag is not a qualified name. In default mode, a resource or property is generated with a malformed URI. Strict mode treats this as an error. (W104).

  See Also:
    Constant Field Values

### WARN_REDEFINITION_OF_ID

    static final int WARN_REDEFINITION_OF_ID

  The same name has been used for more than one rdf:ID or rdf:bagID, in the context of the same xml:base (if any). The default mode allows this with a warning. This check is expensive in memory. When processing very large files, it may be sensible to switch the check off by using `ARPOptions.setErrorMode(int,int)` to ignore this condition. (W105).

  See Also:
    `WARN_LEGAL_REUSE_OF_ID`, Constant Field Values

### WARN_UNKNOWN_PARSETYPE

    static final int WARN_UNKNOWN_PARSETYPE

  An unrecognised value for rdf:parseType has been found. In strict mode, this error is ignored, and it is treated as rdf:parseType="Literal", in default mode a warning is issued. (W106)

  See Also:
    Constant Field Values

### WARN_MALFORMED_URI

    static final int WARN_MALFORMED_URI

  A URI reference does not conform to the definition of RDF URI Reference. Use Exception.getMessage() for details. In default mode, the malformed URI is passed to the RDF processing application; strict mode treats this as an error. (W107)

  See Also:
    Constant Field Values

### WARN_BAD_NAME

    static final int WARN_BAD_NAME

  An ID symbol or other grammar production that should be an XML name is malformed. In default mode, the malformed string is passed to the RDF application. (W108) Strict mode treats this as an error.

  See Also:
    Constant Field Values

### WARN_RELATIVE_NAMESPACE_URI_DEPRECATED

    static final int WARN_RELATIVE_NAMESPACE_URI_DEPRECATED

  A namespace has been declared with a relative URI. Such relative URI namespaces have been deprecated. This often results in related `WARN_RELATIVE_URI` warnings. (W109)

  See Also:
    Constant Field Values

### WARN_BAD_XML

    static final int WARN_BAD_XML

  Deprecated.
  No longer used. (W111)

  See Also:
    Constant Field Values

### WARN_MINOR_INTERNAL_ERROR

    static final int WARN_MINOR_INTERNAL_ERROR

  Deprecated. No longer used.
  Should not happen. (W112)

  See Also:
    Constant Field Values

### WARN_UNKNOWN_RDF_ELEMENT

    static final int WARN_UNKNOWN_RDF_ELEMENT

  An element is tagged rdf:XXX where XXX is not a recognised RDF element name. The typed node or property element construction is matched. In both default and strict modes this is a warning. (W113).

  See Also:
    Constant Field Values

### WARN_RDF_NN_AS_TYPE

    static final int WARN_RDF_NN_AS_TYPE

  rdf:_NNN is being used in the typed node construction. In default mode this is a warning; in strict mode it is ignored.(W114)

  See Also:
    Constant Field Values

### WARN_MALFORMED_XMLLANG

    static final int WARN_MALFORMED_XMLLANG

  The value of an xml:lang attribute does not conform to the syntactic rules of RFC3066. In default mode this is a warning, in strict mode an error. (W115)

  See Also:
    Constant Field Values

### WARN_BAD_XMLLANG

    static final int WARN_BAD_XMLLANG

  The value of an xml:lang attribute while syntactically conforming to RFC3066 does not conform with other rules, possibly through not being listed in ISO639 or ISO3166 or the IANA language tag registry. The databases used of these registries was a snapshot of July 24, 2001. If you are using language tags that postdate this snapshot, you should ignore this condition. The use of a three letter tag instead of a two letter tag or use of the language tag "und" is also reported under this condition, see RFC3066. In default mode this is a warning, in strict mode an error. (W116)

  See Also:
    Constant Field Values

### WARN_UNKNOWN_XML_ATTRIBUTE

    static final int WARN_UNKNOWN_XML_ATTRIBUTE

  An attribute from the xml namespace has been used that is not recognised. (W118). In default mode this is a warning; in strict mode it is ignored.

  See Also:
    Constant Field Values

### WARN_PROCESSING_INSTRUCTION_IN_RDF

    static final int WARN_PROCESSING_INSTRUCTION_IN_RDF

  An XML processing instruction occurred in RDF content. Such instructions are ignored, and are usually in error. (W119). In default mode this is a warning; in strict mode it is ignored.

  See Also:
    Constant Field Values

### WARN_LEGAL_REUSE_OF_ID

    static final int WARN_LEGAL_REUSE_OF_ID

  Deprecated. Last supported in Jena 2.1 - too expensive.
  No longer used.

  See Also:
    `WARN_REDEFINITION_OF_ID`, Constant Field Values

### WARN_STRING_COMPOSING_CHAR

    static final int WARN_STRING_COMPOSING_CHAR

  String Literals in RDF should not start with a composing char, as defined by the CharacterModel working draft. This is particularly important if XML 1.1 compatibility is required. This is a warning in both default and strict modes (W121).

  See Also:
    Constant Field Values

### WARN_QNAME_AS_ID

    static final int WARN_QNAME_AS_ID

  Deprecated. Superceded by the more general `WARN_BAD_NAME`
  No longer used. (W122).

  See Also:
    Constant Field Values

### WARN_URI_COMPOSING_CHAR

    static final int WARN_URI_COMPOSING_CHAR

  Deprecated. WG decision on williams-01.
  No longer used. (W123)

  See Also:
    Constant Field Values

### WARN_BAD_NAMESPACE_URI

    static final int WARN_BAD_NAMESPACE_URI

  Some xmlns declaration has a non-URI as its right hand side. This currently permits non-ASCII characters, awaiting clarification from the namespace editor. This is a warning in default mode and an error in strict mode (W124).

  See Also:
    Constant Field Values

### WARN_DEPRECATED_XMLLANG

    static final int WARN_DEPRECATED_XMLLANG

  The value of an xml:lang attribute has been deprecated by IANA (W117). In strict and default mode this is a warning.

  See Also:
    Constant Field Values

### WARN_IN_STRICT_MODE

    static final int WARN_IN_STRICT_MODE

  This is an internal only field, not intended for public use. In particular, specifically setting the error mode for this error should be avoided. Errors with this error code cannot happen. (W125) When this warning is treated as an error, the non-RDF compliant daml:collection production is surpressed.

  See Also:
    Constant Field Values

### WARN_SAX_WARNING

    static final int WARN_SAX_WARNING

  The SAX Parser generated a warning. Treated as a warning in both default and strict modes. (W126)

  See Also:
    Constant Field Values

### WARN_BAD_RDF_NAMESPACE_URI

    static final int WARN_BAD_RDF_NAMESPACE_URI

  Within RDF, it is not permitted to define an XML namespace that has a namespace URI with the RDF namespace URI as a proper prefix. (W127). A warning in default mode, an error in strict mode.

  See Also:
    Constant Field Values

### WARN_BAD_XML_NAMESPACE_URI

    static final int WARN_BAD_XML_NAMESPACE_URI

  Within RDF, it is not permitted to define an XML namespace that has a namespace URI with the XML namespace URI as a proper prefix. (W128). A warning in default mode,an error in strict mode.

  See Also:
    Constant Field Values

### WARN_ENCODING_MISMATCH

    static final int WARN_ENCODING_MISMATCH

  ARP was called with an InputSteamReader or a FileReader which used an encoding differnt from that in the XML declaration. The usual fix is to use an InputStream or a FileInputStream instead. (W129). A warning in default mode, an error in strict mode.

  See Also:
    `ERR_ENCODING_MISMATCH`, Constant Field Values

### WARN_RESOLVING_URI_AGAINST_EMPTY_BASE

    static final int WARN_RESOLVING_URI_AGAINST_EMPTY_BASE

  A base URI was required but "" was given. The RDF/XML input includes a relative URI, an rdf:ID or some other same document reference. (W130).

  See Also:
    Constant Field Values

### WARN_STRING_NOT_NORMAL_FORM_C

    static final int WARN_STRING_NOT_NORMAL_FORM_C

  String Literals in RDF should be in Unicode Normal Form C * (W131).

  See Also:
    Constant Field Values

### WARN_UNSUPPORTED_ENCODING

    static final int WARN_UNSUPPORTED_ENCODING

  The character encoding in the XML declaration is not fully supported. In particular, advice about the IANA registry entry, if any, is not available. This warning is only believed to be applicable to Java 1.4. Java 1.5 has more extensive support for this information, and so upgrading from Java 1.4 to Java 1.5 is a plausible response to this warning. (W132).

  See Also:
    Constant Field Values

### WARN_NON_IANA_ENCODING

    static final int WARN_NON_IANA_ENCODING

  The character encoding in the XML declaration is not registered with IANA. Hence the RDF/XML file is not appropriate for use on the Web, but only for private interactions, between parties agreeing on the character encoding. It may not be possible to read this file with superficially similar Jena installations, let alone with other RDF systems. (W133).

  See Also:
    Constant Field Values

### WARN_NONCANONICAL_IANA_NAME

    static final int WARN_NONCANONICAL_IANA_NAME

  The encoding in the XML declaration is an alias registered with IANA. Better interoperability is likely by replacing the encoding declaration with the canonical IANA name, provided in the warning message. (W134).

  See Also:
    Constant Field Values

### WARN_NOT_RDF_NAMESPACE

    static final int WARN_NOT_RDF_NAMESPACE

  It seems likely that the namespace for rdf: has a typo in it. (W135)

  See Also:
    Constant Field Values

### WARN_RELATIVE_URI

    static final int WARN_RELATIVE_URI

  A URI reference which is a relative reference has been used either as the starting base URI or as the outcome of a URI resolution somehow. In strict mode this is an error. (W136)

  See Also:
    Constant Field Values

### WARN_BIG_FILE

    static final int WARN_BIG_FILE

  After 10000 rdf:ID attributes have been read, ARP no longer checks for `WARN_REDEFINITION_OF_ID`. This warning is to inform the user that ARP behaviour has changed during parsing.

  See Also:
    Constant Field Values

### ERR_INTERNAL_ERROR

    static final int ERR_INTERNAL_ERROR

  Deprecated. No longer used.
  Should not happen. (E200)

  See Also:
    Constant Field Values

### ERR_SYNTAX_ERROR

    static final int ERR_SYNTAX_ERROR

  The attributes or element tags contravene the RDF grammar. (XML syntax errors are not reported with this mechanism, but as `SAXParseException`'s). The detailed error message indicates the nature of the contravention. Future releases may specialize these codes, it is better to use `ParseException.isSyntaxError()` to check for syntax errors. (E201).

  See Also:
    Constant Field Values

### ERR_NOT_WHITESPACE

    static final int ERR_NOT_WHITESPACE

  Non-white character data has occurred where the RDF grammar does not permit it. This is a special case of ERR_SYNTAX_ERROR, which is detected differently. (E202)

  See Also:
    Constant Field Values

### ERR_ABOUTEACH_NOT_TOPLEVEL

    static final int ERR_ABOUTEACH_NOT_TOPLEVEL

  Deprecated. No longer occurs. Any use of rdf:aboutEach is a syntax error.
  rdf:aboutEach may only occur in a top-level obj expansion, either an rdf:Description or a typed node. This is a special case of ERR_SYNTAX_ERROR, which is detected differently. (E203).

  See Also:
    Constant Field Values

### ERR_LI_AS_TYPE

    static final int ERR_LI_AS_TYPE

  rdf:li is being used in the typed node construction. (E204)

  See Also:
    Constant Field Values

### ERR_BAD_RDF_ELEMENT

    static final int ERR_BAD_RDF_ELEMENT

  An element is tagged rdf:XXX where XXX is an RDF attribute name. (E205)

  See Also:
    Constant Field Values

### ERR_BAD_RDF_ATTRIBUTE

    static final int ERR_BAD_RDF_ATTRIBUTE

  An attribute name in the RDF namespace has been used that is reserved as an RDF name, but not as an attribute. These are rdf:Description, rdf:aboutEach, rdf:aboutEachPrefix. The latter two are deprecated. (E206).

  See Also:
    Constant Field Values

### ERR_STRING_NOT_NORMAL_FORM_C

    static final int ERR_STRING_NOT_NORMAL_FORM_C

  Deprecated. See 2nd Last Call docs * (E207).
  No longer used.

  See Also:
    `WARN_STRING_NOT_NORMAL_FORM_C`, Constant Field Values

### ERR_URI_NOT_NORMAL_FORM_C

    static final int ERR_URI_NOT_NORMAL_FORM_C

  Deprecated. WG decision on williams-01.
  No longer used.(E208).

  See Also:
    Constant Field Values

### ERR_SAX_ERROR

    static final int ERR_SAX_ERROR

  The SAX Parser generated an error. Treated as an error in both default and strict modes. (E209)

  See Also:
    Constant Field Values

### ERR_ENCODING_MISMATCH

    static final int ERR_ENCODING_MISMATCH

  ARP was called with an InputSteamReader or a FileReader which used an encoding differnt from that in the XML declaration. Moreover, this was detected as probably significant (i.e. the document includes characters outside the ascii range). The usual fix is to use an InputStream or a FileInputStream instead. (E210).

  See Also:
    `WARN_ENCODING_MISMATCH`, Constant Field Values

### ERR_RESOLVING_URI_AGAINST_NULL_BASE

    static final int ERR_RESOLVING_URI_AGAINST_NULL_BASE

  A base URI was required but not given. The RDF/XML input includes a relative URI, an rdf:ID or some other same document reference. (E211).

  See Also:
    Constant Field Values

### ERR_UTF_ENCODING

    static final int ERR_UTF_ENCODING

  The document claimed to be UTF-8 but was not. It probably needs an xml declaration with an encoding attribute. (E212).

  See Also:
    Constant Field Values

### ERR_GENERIC_IO

    static final int ERR_GENERIC_IO

  An IOException occurred. (E213).

  See Also:
    Constant Field Values

### ERR_RESOLVING_AGAINST_MALFORMED_BASE

    static final int ERR_RESOLVING_AGAINST_MALFORMED_BASE

  Cannot resolve a relative URI, because base URI is malformed. The base URI, specified in the API call, or with an xml:base was malformed, (see `WARN_MALFORMED_URI`). A relative URI needs to be resolved against it, and this cannot be done correctly. (E214)

  See Also:
    Constant Field Values

### ERR_RESOLVING_AGAINST_RELATIVE_BASE

    static final int ERR_RESOLVING_AGAINST_RELATIVE_BASE

  Cannot resolve a relative URI, because base URI is relative. The base URI, specified in the API call, or with an xml:base was relative `WARN_RELATIVE_URI`. A relative URI needs to be resolved against it, resulting in a relative URI. (E215)

  See Also:
    Constant Field Values

### ERR_UNABLE_TO_RECOVER

    static final int ERR_UNABLE_TO_RECOVER

  Deprecated. Not used.
  No longer used. (E300)

  See Also:
    Constant Field Values

### ERR_SAX_FATAL_ERROR

    static final int ERR_SAX_FATAL_ERROR

  The SAX Parser generated a fatal error. Resetting this mode is not supported. Treated as a fatal error in both default and strict modes. (E301)

  See Also:
    Constant Field Values

### ERR_INTERRUPTED

    static final int ERR_INTERRUPTED

  The Thread was interrupted. (E302)

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP